var bUrl = "/custom-actions/Magic";

function isAJAXSuccess(xml) {
    var result = $(xml).find("res").text();
    return (result == "SUCCESS");
}

function urlEncode(s) {
    return encodeURIComponent(s);
}

function htmlEncode(value) {
    return $('<div/>').text(value).html();
}

function htmlDecode(value) {
    return $('<div/>').html(value).text();
}

function makeSafeForPost(value) {
    return urlEncode(htmlEncode(value));
}

function getDevice() {
    var deviceName = "Web";
    var ua = navigator.userAgent;

    if (ua.match(/iPad/i) != null) {
        deviceName = "iPad";
    }
    else if (ua.match(/iPod/i) != null) {
        deviceName = "iPod";
    }
    else if (ua.match(/iPhone/i) != null) {
        deviceName = "iPhone";
    }
    else if (ua.match(/Android/i) != null) {
        deviceName = "Android";
    }
    else if (ua.match(/IEMobile/i) != null) {
        deviceName = "IEMobile";
    }
    else if (/Kindle/i.test(ua) || /Silk/i.test(ua) || /KFTT/i.test(ua) || /KFOT/i.test(ua) || /KFJWA/i.test(ua) || /KFJWI/i.test(ua) || /KFSOWI/i.test(ua) || /KFTHWA/i.test(ua) || /KFTHWI/i.test(ua) || /KFAPWA/i.test(ua) || /KFAPWI/i.test(ua)) {
        deviceName = "Kindle";
    }
    else if (/webOS|BlackBerry|Opera Mini/i.test(ua)) {
        deviceName = "OtherTouch";
    }

    return deviceName;
}

function makeSafe(thisText) {
    return thisText.toLowerCase().replace(/[ ]+/g, '-').replace(/[^a-z0-9\-]+/g, '');
}

function checkLoggedIn() {
    util_createUnknownAccount();
}

function util_createUnknownAccount() {
    var uid = window.localStorage["mas-uid"];

    if (uid == null) {
        uid = -1;
    }

    console.log("util_createUnknownAccount");

    $.ajax({
        type: "POST",
        url: bUrl,
        data: "c=lg&uid=" + uid,
        success: function (xml) {
            if (isAJAXSuccess(xml)) {
                var uid = $(xml).find("uid").text();
                var un = $(xml).find("un").text();
                var ut = $(xml).find("ut").text();

                util_setUserToken(uid, un, ut);
            }
        }
    });
}

function util_setUserToken(uid, un, ut) {
    window.localStorage["mas-uid"] = uid;
    window.localStorage["mas-un"] = un;
    window.localStorage["mas-t"] = ut;
}

function showLang() {
    showPopup("langPopup", 290, null);

    return false;
}
